.hiui-mask {
  --z-index: 1000;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-index);
  display: block;
  width: 100%;
  height: 100%;
}
.hiui-mask-aria-button {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
}
.hiui-mask-content {
  z-index: 1;
}

.hiui-toast-mask-container {
  position: absolute;
}
.hiui-toast-mask .hiui-toast-wrap {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.hiui-toast-mask .hiui-toast-main {
  display: inline-block;
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: auto;
  min-width: 94px;
  max-width: 224px;
  max-height: 70%;
  overflow: auto;
  color: white;
  word-break: break-all;
  background-color: rgba(18, 24, 45, 0.8);
  border-radius: 6px;
  pointer-events: all;
  font-size: 16px;
  font-weight: 500;
  line-height: 22px;
  box-sizing: border-box;
  text-align: center;
}
.hiui-toast-mask .hiui-toast-main-text {
  padding: 12px 15px;
}
.hiui-toast-mask .hiui-toast-main-icon {
  padding: 24px 15px 12px 15px;
  border-radius: 6px;
}
.hiui-toast-mask .hiui-toast-main-icon .hiui-toast-icon {
  text-align: center;
  margin-bottom: 12px;
  font-size: 24px;
  line-height: 1;
  height: 24px;
}

.lowcode-engine-core-mainframe.MOBILE {
  --lowcode-mainframe-safearea-height: calc(100% - env(safe-area-inset-bottom) * var(--bwdm-safe-area-multiple, 1));
  height: 100%;
  height: var(--lowcode-mainframe-safearea-height, 100%);
  display: flex;
  flex-direction: column;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-title {
  display: flex;
  align-items: center;
  flex-shrink: 0;
  position: sticky;
  z-index: 99999;
  width: 100%;
  height: 46px;
  top: 0;
  left: 0;
  background-color: #fff;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-title_icons {
  flex-shrink: 0;
  width: 44px;
  height: 100%;
  font-size: 22px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-title_text {
  flex-grow: 1;
  height: 100%;
  padding-right: 44px;
  line-height: 46px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 16px;
  font-weight: bold;
  color: #262626;
  text-align: center;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-title_text_with_back {
  padding-right: 88px;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-main {
  --lowcode-mainframe-main-height: calc(100vh - env(safe-area-inset-bottom) * var(--bwdm-safe-area-multiple, 1));
  min-height: 100vh;
  min-height: var(--lowcode-mainframe-main-height, 100vh);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-grow: 1;
  overflow-y: auto;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-main::-webkit-scrollbar {
  width: 0 !important;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-content {
  display: flex;
  flex: 1;
  flex-direction: column;
  min-height: 0;
  position: relative;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-footer {
  padding-bottom: 20px;
  text-align: center;
  font-size: 12px;
  color: #666;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-footer_text {
  margin-bottom: 6px;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-footer_icons {
  text-align: center;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-footer_icon {
  height: 18px;
  margin-left: 10px;
  padding-right: 8px;
  border-right: 1px solid #ccc;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-footer_icon:first-child {
  margin-left: 0;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-footer_icon:last-child {
  padding-right: 0;
  border-right: none;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-tabs {
  position: fixed;
  z-index: 1;
  padding-bottom: calc(env(safe-area-inset-bottom) * 1);
  padding-bottom: calc(env(safe-area-inset-bottom) * var(--bwdm-safe-area-multiple, 1));
  bottom: 0;
  left: 0;
  width: 100%;
  min-height: 50px;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-tabs_tab {
  text-align: center;
  flex: 1;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-tabs_tab.active {
  color: #0073e5;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-tabs_tab_icon {
  height: 20px;
  width: 20px;
  font-size: 20px;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-tabs_tab_name {
  font-size: 12px;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-tabs + .lowcode-engine-core-mainframe-main {
  padding-bottom: 50px;
}
.lowcode-engine-core-mainframe.MOBILE .lowcode-engine-core-mainframe-navigation {
  position: fixed;
  right: 10px;
  top: 10px;
}
.lowcode-engine-core-mainframe-title + .lowcode-engine-core-mainframe-main,
.lowcode-engine-core-mainframe-title + .lowcode-engine-core-mainframe-tabs + .lowcode-engine-core-mainframe-main {
  --lowcode-mainframe-main-height: calc(100vh - env(safe-area-inset-bottom) * var(--bwdm-safe-area-multiple, 1) - 46px);
  min-height: calc(100vh - 46px);
  min-height: var(--lowcode-mainframe-main-height, calc(100vh - 46px));
}

.lowcode-engine-core-mainframe.PC {
  --lowcode-mainframe-safearea-height: calc(100% - env(safe-area-inset-bottom) * var(--bwdm-safe-area-multiple, 1));
  height: 100%;
  height: var(--lowcode-mainframe-safearea-height, 100%);
}
.lowcode-engine-core-mainframe.PC::-webkit-scrollbar {
  width: 0 !important;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-drawer .bwd-drawer-mask {
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
.lowcode-engine-core-mainframe.PC .bwd-layout-sider.bwd-mainframe-sider.bwd-layout-sider-light .bwd-mainframe-navigation::-webkit-scrollbar-thumb {
  background: #cfcfcf;
}
.lowcode-engine-core-mainframe.PC .bwd-layout-sider.bwd-mainframe-sider.bwd-layout-sider-light .bwd-mainframe-navigation::-webkit-scrollbar-thumb:active {
  background: #868686;
}
.lowcode-engine-core-mainframe.PC .bwd-layout-sider.bwd-mainframe-sider {
  z-index: 999;
}
.lowcode-engine-core-mainframe.PC .bwd-layout-sider.bwd-mainframe-sider .bwd-mainframe-navigation {
  border-right: 1px solid rgba(0, 0, 0, 0.06);
  overflow-y: auto;
}
.lowcode-engine-core-mainframe.PC .bwd-layout-sider.bwd-mainframe-sider .bwd-mainframe-navigation > .bwd-menu-inline,
.lowcode-engine-core-mainframe.PC .bwd-layout-sider.bwd-mainframe-sider .bwd-mainframe-navigation .bwd-menu-vertical,
.lowcode-engine-core-mainframe.PC .bwd-layout-sider.bwd-mainframe-sider .bwd-mainframe-navigation .bwd-menu-vertical-left {
  border-right: 0;
}
.lowcode-engine-core-mainframe.PC .bwd-layout-sider-light.bwd-mainframe-sider .bwd-mainframe-logo,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-light .bwd-mainframe-logo,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-side.bwd-mainframe-header-dark .bwd-mainframe-logo {
  color: #0073e5;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-page-header .bwd-breadcrumb .bwd-breadcrumb-link {
  cursor: pointer;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-page-header .bwd-breadcrumb li:last-child .bwd-breadcrumb-link {
  cursor: auto;
  cursor: initial;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-page-header-crumb-title {
  background-color: #fff;
  margin-bottom: 24px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-page-header .bwd-page-header-heading .bwd-page-header-heading-left {
  flex-wrap: wrap;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-page-header .bwd-page-header-heading .bwd-page-header-heading-sub-title {
  width: 100%;
  padding-top: 12px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-hideNavigation .bwd-mainframe-logo {
  padding-left: 0;
  color: #0073e5;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-trigger {
  cursor: pointer;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-user-content {
  display: flex;
  align-items: center;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-user-name {
  padding-left: 6px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-left {
  display: flex;
  align-items: center;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-menu {
  min-width: 50px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-extra-content,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-extra-content {
  margin-left: 24px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-extra-content:first-child,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-extra-content:first-child {
  margin-left: 0;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-extra-content + .bwd-mainframe-user,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-extra-content + .bwd-mainframe-user,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-extra-content + .bwd-mainframe-header-tenant-list,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-extra-content + .bwd-mainframe-header-tenant-list,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-extra-content + .bwd-mainframe-header-tenant-icon,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-extra-content + .bwd-mainframe-header-tenant-icon,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-extra-content + .bwd-mainframe-header-i18n-list,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-extra-content + .bwd-mainframe-header-i18n-list {
  margin-left: 24px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-i18n-list-icon + .bwd-select .bwd-select-selector,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-i18n-list-icon + .bwd-select .bwd-select-selector {
  padding-left: 2px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-i18n-list + .bwd-mainframe-user,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-i18n-list + .bwd-mainframe-user {
  margin-left: 16px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-i18n-icon + .bwd-mainframe-user,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-i18n-icon + .bwd-mainframe-user {
  margin-left: 8px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-extra-container,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-extra-container {
  display: flex;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-tenant-list + .bwd-mainframe-user,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-tenant-list + .bwd-mainframe-user,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-tenant-list + .bwd-mainframe-header-i18n-list,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-tenant-list + .bwd-mainframe-header-i18n-list {
  margin-left: 16px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-tenant-icon,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-tenant-icon {
  padding: 8px;
  font-size: 16px;
  cursor: pointer;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-tenant-icon + .bwd-mainframe-user,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-tenant-icon + .bwd-mainframe-user,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-nav-header-right .bwd-mainframe-header-tenant-icon + .bwd-mainframe-header-i18n-icon,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header .bwd-mainframe-header-right .bwd-mainframe-header-tenant-icon + .bwd-mainframe-header-i18n-icon {
  margin-left: 8px;
}
.lowcode-engine-core-mainframe.PC img.bwd-mainframe-logo {
  -o-object-fit: contain;
     object-fit: contain;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top {
  background: #004299;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top .bwd-mainframe-nav-header-left {
  color: #fff;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top .bwd-mainframe-user-avatar-name {
  background: #fff;
  color: #0073e5;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top .bwd-mainframe-user-name {
  color: #fff;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top .bwd-mainframe-header-tenant-list,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top .bwd-mainframe-header-i18n-list {
  color: #fff;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top .bwd-mainframe-header-tenant-list .bwd-select,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top .bwd-mainframe-header-i18n-list .bwd-select {
  color: #fff;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top .bwd-mainframe-header-tenant-list .bwd-select-arrow,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-dark.bwd-mainframe-header-top .bwd-mainframe-header-i18n-list .bwd-select-arrow {
  color: #bfbfbf;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-header-light {
  background: #fff;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-title {
  position: fixed;
  z-index: 99;
  width: 100%;
  height: 46px;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-title_back {
  position: absolute;
  top: 13px;
  left: 16px;
  width: 20px;
  height: 20px;
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAFAAAABQCAYAAACOEfKtAAAAAXNSR0IArs4c6QAAAoJJREFUeF7t3LFuGkEQBuBdIEKyXyApT8g6JEs0dG6sNKmiVOb98gBubEVCSuHCjSvbEgXcFdR5AVIkF2msQ2BZ2BxLlt2dfzzUNwt8/Cfu9kZjjb68BKxXtRYbBfQMgQIqoKeAZ7kmUAFfCwwGg+OqqoZEVGVZ9jAej/94Om0tF5fAfr//hYi+E9Gn1beedzqd0XQ6fQyBKAowz/NvxphLIvqwgTXv9XqnIZIoBrABb2nZarXOiqK4O3QKRQDuwqvR2u32+Ww2u1XADQEXPGvtr263ezKZTH4r4AsBR7zKWvu1KIqfh8ar14M9hV3xjDGjsiyvQuDBAnLBgwTkhAcHyA0PCpAjHgwgVzwIQM547AG547EGRMBjC4iCxxJwD7yLsiyvQ91huK7L6lYODY9VAhHx2ACi4rEARMZLDoiOlxRQAl4yQCl4SQAl4UUHlIYXFVAiXjRAqXhRACXjBQeUjhcUcNUl9eONRp/njQ5rbWWMYbGr4rr7snlckN2Y4XB4tFgs5kT0cdsHk4AXLIF5nn8mopsGvL+rjoHk+3n/m7x1XZAEOgDCn7pBAR1PYREpDJLA+tdx/BOBRwwGWCM6XsZAIwYFfA+IwQGlI0YBlIwYDVAqYlRAiYjRAaUhJgGUhJgMUApiUkAJiMkB0RFZACIjsgFERWQFiIjIDhANkSUgEiJbQBRE1oAIiOwBuSNCAHJGhAHcAzHqI1MoQI6IcIDcECEBOSHCAu6DqGNPGjqAHB/e6+Cdpi4qF0Qd/bSjD20Xog4fc2jka0DU8XcOfstDdACjq1TDcS9GgP7Lsuw+xODF9dtDX8YcwNp7CQX0JFRABfQU8CzXBCqgp4Bn+RPL6HhvnqH3lQAAAABJRU5ErkJggg==);
  background-size: 100%;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-title_text {
  height: 100%;
  line-height: 46px;
  white-space: nowrap;
  padding: 0 40px;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 16px;
  font-weight: bold;
  color: #262626;
  text-align: center;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-main {
  --lowcode-mainframe-main-height: calc(100vh - env(safe-area-inset-bottom) * var(--bwdm-safe-area-multiple, 1));
  min-height: 100vh;
  min-height: var(--lowcode-mainframe-main-height, 100vh);
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background: #f0f2f5;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-title + .lowcode-engine-core-mainframe-main,
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-title + .lowcode-engine-core-mainframe-tabs + .lowcode-engine-core-mainframe-main {
  padding-top: 46px;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-content {
  position: relative;
  display: flex;
  flex: 1;
  flex-direction: column;
  min-height: 0;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-footer {
  padding-bottom: 20px;
  text-align: center;
  font-size: 12px;
  color: #666;
  background: #f0f2f5;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-footer_text {
  margin-bottom: 6px;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-footer_icons {
  text-align: center;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-footer_icon {
  height: 18px;
  margin-left: 10px;
  padding-right: 8px;
  border-right: 1px solid #ccc;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-footer_icon:first-child {
  margin-left: 0;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-footer_icon:last-child {
  padding-right: 0;
  border-right: none;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-tabs {
  position: fixed;
  z-index: 1;
  bottom: 0;
  width: 100%;
  height: 50px;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-tabs_tab {
  text-align: center;
  flex: 1;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-tabs_tab.active {
  color: #0073e5;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-tabs_tab_icon {
  height: 20px;
  width: 20px;
}
.lowcode-engine-core-mainframe.PC .lowcode-engine-core-mainframe-tabs + .lowcode-engine-core-mainframe-main {
  padding-bottom: 60px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-page-header .bwd-breadcrumb-link > .bwdicon + a,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-page-header .bwd-breadcrumb-link > .hiui-icon + span {
  margin-left: 4px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs .bwd-tabs-editable-card .bwd-tabs-ink-bar {
  display: none;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs .bwd-tabs-bottom > .bwd-tabs-nav,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs .bwd-tabs-bottom > div > .bwd-tabs-nav,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs .bwd-tabs-top > .bwd-tabs-nav,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs .bwd-tabs-top > div > .bwd-tabs-nav {
  margin-bottom: 0;
  background-color: #f0f2f5;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs .bwd-tabs-bottom > .bwd-tabs-nav::before,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs .bwd-tabs-bottom > div > .bwd-tabs-nav::before,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs .bwd-tabs-top > .bwd-tabs-nav::before,
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs .bwd-tabs-top > div > .bwd-tabs-nav::before {
  border-bottom: 0px;
}
.lowcode-engine-core-mainframe.PC .bwd-mainframe-main-tabs-fixed {
  position: sticky;
  top: 64px;
  z-index: 11;
  transition: all 2s ease-in-out;
}
.bwd-hide-navigation-mainframe-logo {
  display: none;
}
.lowcode-engine-core-hide-mainframe .lowcode-engine-core-mainframe-content {
  margin-left: 0 !important;
}
.lowcode-engine-core-hide-mainframe .bwd-mainframe-header {
  display: none;
}
.lowcode-engine-core-hide-mainframe .bwd-mainframe-page-header {
  display: none;
}
.lowcode-engine-core-hide-mainframe .bwd-mainframe-main-tabs {
  display: none;
}
.lowcode-engine-core-hide-navigation .lowcode-engine-core-mainframe-content {
  margin-left: 0 !important;
}
.lowcode-engine-core-hide-navigation .bwd-mainframe-trigger {
  display: none;
}
.lowcode-engine-core-hide-navigation .bwd-hide-navigation-mainframe-logo {
  display: inline-flex;
}
.lowcode-engine-core-hide-navigation .bwd-hide-navigation-mainframe-logo .bwd-mainframe-logo {
  padding-left: 0;
}
.bwd-mainframe-drawer.bwd-drawer-open .bwd-layout-sider-light .bwd-mainframe-logo {
  color: #0073e5;
}
.bwd-mainframe-user-dropdown {
  box-shadow: 0 3px 6px -4px rgba(0, 0, 0, 0.12), 0 6px 16px 0 rgba(0, 0, 0, 0.08), 0 9px 28px 8px rgba(0, 0, 0, 0.05);
}
.bwd-mainframe-user-dropdown > .bwd-dropdown-menu {
  box-shadow: none;
}
.bwd-mainframe-user-dropdown .bwd-mainframe-header-extra-container {
  display: flex;
}
.bwd-mainframe-header-tenant-icon,
.bwd-mainframe-header-i18n-icon,
.bwd-mainframe-header-logout-icon {
  margin-right: 8px;
  font-size: 12px;
}
.bwd-dropdown.bwd-mainframe-user-dropdown .bwd-dropdown-menu {
  padding-top: 0;
  padding-bottom: 0;
}
.bwd-dropdown.bwd-mainframe-user-dropdown .bwd-dropdown-menu:nth-of-type(1) {
  padding-top: 4px;
}
.bwd-dropdown.bwd-mainframe-user-dropdown .bwd-dropdown-menu:nth-last-of-type(1) {
  padding-bottom: 4px;
}

.kuai-lowcode-main-page {
  --lowcode-mainframe-safearea-height: calc(100vh - env(safe-area-inset-bottom) * var(--bwdm-safe-area-multiple, 1));
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  min-height: var(--lowcode-mainframe-safearea-height, 100vh);
}
.kuai-lowcode-main-content {
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex: 1 auto;
  flex-direction: column;
}
.kuai-lowcode-main-content .kuai-lowcode-main-content-subapp {
  flex: 1 auto;
}
.lowcode-engine-core-keep-alive {
  height: 100%;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex: 1 auto;
  flex-direction: column;
}
.m-not-found {
  height: 100vh;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}
.m-no-permission {
  height: 100vh;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}
.pc-not-found {
  position: absolute;
  margin-left: -180px;
  margin-top: -195px;
  left: 50%;
  top: 50%;
}
.pc-no-permission {
  position: absolute;
  margin-left: -180px;
  margin-top: -195px;
  left: 50%;
  top: 50%;
}
*::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}
*::-webkit-scrollbar-track {
  background: rgba(0, 0, 0, 0.04);
  border: 6px solid transparent;
  background-clip: content-box;
}
*::-webkit-scrollbar-thumb {
  width: 8px;
  height: 8px;
  background: #cfcfcf;
  border-radius: 4px;
}
*::-webkit-scrollbar-thumb:active {
  background: #868686;
}
*::-webkit-scrollbar-button {
  height: 0px;
}

